﻿-- PgCon14 Working with Network Data
-- James Hanson
-- Checking Apache log for known malicious IPs, as reported by Dragon Research Group

-- look at the Dragon Research Group malicious IPs
SELECT *
FROM v_ip_probes
LIMIT 100;

SELECT
  source,
  count(*) num_reqs
FROM v_ip_probes
GROUP BY source;

-- look at the Apache log data
SELECT *
FROM apache_log
LIMIT 100;

-- See if there are any overlaps
SELECT
  vip.*,
  al.*
FROM v_ip_probes vip,
  apache_log al
WHERE al.requesting_ip << vip.netblock;  -- << = "is contained within"